Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Interface TaxParameters

All Superinterfaces:
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  TaxParametersImpl

public interface TaxParameters
extends Belonging

Currently defined locations include: ShipTo ShipFrom OrderAcceptance OrderOrigin Currently defined order-based attributes include: (listed with "name" (type) (default) explanation. None are required.) freight (com.beasys.commerce.axiom.units.Price)(0) commit (Boolean) (True) store the tax in the audit file or not credit (Boolean) (False) for credit transactions titlePassage(Char) (D)-O for point of Origin, D for point of Delivery date (java.sql.Date) (current system Date) date of tax taxType (Character) (S) S for sales tax U for use tax companyID (String) (PlaceHolder) The name of the source company for the transaction overrideTax (Double) (0) The override tax rate as a fraction, 0.0 means no override sellerRegistrationNumber (String) (null) the seller registration number, used in world tax Attribute: location

- Containment: By Value
- Multiplicity: 0:N
- Interface: java.util.Map

See Also:
  `TaxParametersHome`, `TaxParametersImpl`

Field Summary
`static String` | `BUSINESSLOCATIONCODE`
`static String` | `BUYERREGISTRATIONNUMBER`
`static String` | `COMMIT`
`static String` | `COMPANYID`
`static String` | `COUNTRYOFORIGIN`
`static String` | `CREDIT`
`static String` | `CURRENCY`
`static String` | `DATE`
`static String` | `DELIVERYTERMS`
`static String` | `DISTANCESALEINDICATOR`
`static String` | `DOCUMENTNUMBER`
`static String` | `FREIGHT`
`static String` | `MODEOFTRANSPORT`
`static String` | `NETMASS`
`static String` | `NOTC`
`static String` | `ORDERACCEPTANCE`
`static String` | `ORDERORIGIN`
`static String` | `REGIONOFORIGINORDESTINATION`
`static String` | `SELLERREGISTRATIONNUMBER`
`static String` | `SHIPFROM`
`static String` | `SHIPTO`
`static String` | `STATISTICALPROCEDURECODE`
`static String` | `TAXDEBUG`
`static String` | `TAXSELPARM`
`static String` | `TAXTYPE`
`static String` | `TITLEPASSAGE`
`static String` | `TRANSACTIONTYPE`
`static String` | `WTCODE`

Method Summary
`void` | `addAttrib(String name, Object obj)` adds an attribute to the attributes in TaxParameter.
`void` | `clearLocationMap()` Removes all mappings from this map (optional operation).
`boolean` | `equalsLocationMap(Object object)` Compares the specified object with this map for equality.
`Object` | `getAttrib(String name)` returns an object that has the given string as attirbute.
`com.beasys.commerce.axiom.contact.Address` | `getLocation(Object key)` Returns the value to which this map maps the specified key.
`Map` | `getLocationMap()` Returns the entire map
`TreeMap` | `getOrderAttribs()` For ease of use, in case the same parameters need to be reused.
`boolean` | `isLocationMapEmpty()` Returns true if this map contains no key-value mappings.
`boolean` | `locationMapContainsKey(Object key)` Returns true if this map contains a mapping for the specified key.
`boolean` | `locationMapContainsValue(com.beasys.commerce.axiom.contact.Address element)` Returns true if this map maps one or more keys to the specified value.
`Set` | `locationMapEntrySet()` Returns a set view of the mappings contained in this map.
`int` | `locationMapHashCode()` Returns the hash code value for this map.
`Iterator` | `locationMapIterator()` Returns an iterator for this map
`Set` | `locationMapKeySet()` Returns a set view of the keys contained in this map.
`int` | `locationMapSize()` Returns the number of key-value mappings in this map.
`Collection` | `locationMapValues()` Returns a collection view of the values contained in this map.
`com.beasys.commerce.axiom.contact.Address` | `putLocation(Object key, com.beasys.commerce.axiom.contact.Address element)` Associates the specified value with the specified key in this map (optional operation).
`void` | `putLocationMap(Map map)` Copies all of the mappings from the specified map to this map (optional operation).
`com.beasys.commerce.axiom.contact.Address` | `removeLocation(Object key)` Removes the mapping for this key from this map if present (optional operation).
`void` | `setLocationMap(Map map)` Sets the entire map
`void` | `setOrderAttribs(TreeMap orderAttribs)` For ease of use, if desired, the entire set of attributes may be set.

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### SHIPTO

    public static final String SHIPTO

See Also:
  Constant Field Values

### SHIPFROM

    public static final String SHIPFROM

See Also:
  Constant Field Values

### ORDERACCEPTANCE

    public static final String ORDERACCEPTANCE

See Also:
  Constant Field Values

### ORDERORIGIN

    public static final String ORDERORIGIN

See Also:
  Constant Field Values

### COMMIT

    public static final String COMMIT

See Also:
  Constant Field Values

### CREDIT

    public static final String CREDIT

See Also:
  Constant Field Values

### TITLEPASSAGE

    public static final String TITLEPASSAGE

See Also:
  Constant Field Values

### COMPANYID

    public static final String COMPANYID

See Also:
  Constant Field Values

### BUSINESSLOCATIONCODE

    public static final String BUSINESSLOCATIONCODE

See Also:
  Constant Field Values

### DATE

    public static final String DATE

See Also:
  Constant Field Values

### TAXTYPE

    public static final String TAXTYPE

See Also:
  Constant Field Values

### CURRENCY

    public static final String CURRENCY

See Also:
  Constant Field Values

### FREIGHT

    public static final String FREIGHT

See Also:
  Constant Field Values

### TRANSACTIONTYPE

    public static final String TRANSACTIONTYPE

See Also:
  Constant Field Values

### WTCODE

    public static final String WTCODE

See Also:
  Constant Field Values

### DOCUMENTNUMBER

    public static final String DOCUMENTNUMBER

See Also:
  Constant Field Values

### DISTANCESALEINDICATOR

    public static final String DISTANCESALEINDICATOR

See Also:
  Constant Field Values

### MODEOFTRANSPORT

    public static final String MODEOFTRANSPORT

See Also:
  Constant Field Values

### COUNTRYOFORIGIN

    public static final String COUNTRYOFORIGIN

See Also:
  Constant Field Values

### REGIONOFORIGINORDESTINATION

    public static final String REGIONOFORIGINORDESTINATION

See Also:
  Constant Field Values

### DELIVERYTERMS

    public static final String DELIVERYTERMS

See Also:
  Constant Field Values

### NOTC

    public static final String NOTC

See Also:
  Constant Field Values

### TAXSELPARM

    public static final String TAXSELPARM

See Also:
  Constant Field Values

### STATISTICALPROCEDURECODE

    public static final String STATISTICALPROCEDURECODE

See Also:
  Constant Field Values

### NETMASS

    public static final String NETMASS

See Also:
  Constant Field Values

### SELLERREGISTRATIONNUMBER

    public static final String SELLERREGISTRATIONNUMBER

See Also:
  Constant Field Values

### BUYERREGISTRATIONNUMBER

    public static final String BUYERREGISTRATIONNUMBER

See Also:
  Constant Field Values

### TAXDEBUG

    public static final String TAXDEBUG

See Also:
  Constant Field Values

Method Detail

### getLocationMap

    public Map getLocationMap()

  Returns the entire map

### setLocationMap

    public void setLocationMap(Map map)

  Sets the entire map

### locationMapIterator

    public Iterator locationMapIterator()

  Returns an iterator for this map

### clearLocationMap

    public void clearLocationMap()

  Removes all mappings from this map (optional operation).

### locationMapContainsKey

    public boolean locationMapContainsKey(Object key)

  Returns true if this map contains a mapping for the specified key.

### locationMapContainsValue

    public boolean locationMapContainsValue(com.beasys.commerce.axiom.contact.Address element)

  Returns true if this map maps one or more keys to the specified value.

### locationMapEntrySet

    public Set locationMapEntrySet()

  Returns a set view of the mappings contained in this map.

### equalsLocationMap

    public boolean equalsLocationMap(Object object)

  Compares the specified object with this map for equality.

### getLocation

    public com.beasys.commerce.axiom.contact.Address getLocation(Object key)

  Returns the value to which this map maps the specified key.

### locationMapHashCode

    public int locationMapHashCode()

  Returns the hash code value for this map.

### isLocationMapEmpty

    public boolean isLocationMapEmpty()

  Returns true if this map contains no key-value mappings.

### locationMapKeySet

    public Set locationMapKeySet()

  Returns a set view of the keys contained in this map.

### putLocation

    public com.beasys.commerce.axiom.contact.Address putLocation(Object key,
                                                                 com.beasys.commerce.axiom.contact.Address element)

  Associates the specified value with the specified key in this map (optional operation).

### putLocationMap

    public void putLocationMap(Map map)

  Copies all of the mappings from the specified map to this map (optional operation).

### removeLocation

    public com.beasys.commerce.axiom.contact.Address removeLocation(Object key)

  Removes the mapping for this key from this map if present (optional operation).

### locationMapSize

    public int locationMapSize()

  Returns the number of key-value mappings in this map.

### locationMapValues

    public Collection locationMapValues()

  Returns a collection view of the values contained in this map.

### addAttrib

    public void addAttrib(String name,
                          Object obj)

  adds an attribute to the attributes in TaxParameter. If a map does not exist, it will be created. Address attributes should be set via the accessors to the location collection.

### getAttrib

    public Object getAttrib(String name)

  returns an object that has the given string as attirbute. If the attribute does not exist, then it returns null.

### setOrderAttribs

    public void setOrderAttribs(TreeMap orderAttribs)

  For ease of use, if desired, the entire set of attributes may be set.

### getOrderAttribs

    public TreeMap getOrderAttribs()

  For ease of use, in case the same parameters need to be reused. Note that the locations collection is not included in the treemap returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved